AddComponentPostInit("inspectable", function(inst)
        local oldGetDesc = inst.GetDescription
        function inst:GetDescription(viewer)
                local desc = oldGetDesc(self,viewer)
                if self.inst and self.inst.components then
                        if self.inst.components.follower and self.inst.components.follower.maxfollowtime then
                                if type(desc)~="string" then
                                        desc=""
                                end
                                local p = self.inst.components.follower:GetLoyaltyPercent()
                                local mx = self.inst.components.follower.maxfollowtime
                                local cur = math.floor(p*mx + 0.5)
				if cur == 0 then
					return desc
				end
                                desc = (desc=="" and "" or (desc.."\n")).."Loyalty:"..cur.." / "..mx
                        end
                end
                return desc
        end
end)
 
AddPrefabPostInit("wes",function(wes)
        if wes.components and wes.components.talker then
                local oldSay = wes.components.talker.Say
                function wes.components.talker:Say(script, time, noanim)
                        local test=type(script)=="string" and string.match(script,"([0-9]+ / [0-9]+)$") or ""
                        if test then
                                script=test
                        else
                                script=""
                        end
                        oldSay(self, script, time, noanim)
                end
                wes.components.talker.special_speech = false
        end
end)